%global modulename object.assign

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-object.assign
Version:        4.1.0
Release:        1%{?dist}
Summary:        ES6 spec-compliant Object.assign shim. From https://github.com/es-shims/es6-shim

License:        MIT
URL:            https://github.com/ljharb/object.assign#readme
Source0:        https://registry.npmjs.org/object.assign/-/object.assign-4.1.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(define-properties) >= 1.1.2 with npmlib(define-properties) < 2.0.0))
BuildRequires:  ((npmlib(function-bind) >= 1.1.1 with npmlib(function-bind) < 2.0.0))
BuildRequires:  ((npmlib(has-symbols) >= 1.0.0 with npmlib(has-symbols) < 2.0.0))
BuildRequires:  ((npmlib(object-keys) >= 1.0.11 with npmlib(object-keys) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
ES6 spec-compliant Object.assign shim. From https://github.com/es-shims/es6-shim

%package 4.1.0
Summary:        ES6 spec-compliant Object.assign shim. From https://github.com/es-shims/es6-shim


%description 4.1.0
ES6 spec-compliant Object.assign shim. From https://github.com/es-shims/es6-shim

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .editorconfig %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr auto.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dist %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr hasSymbols.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr implementation.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr polyfill.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr shim.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.sh %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 4.1.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 20 2018 npm2srpm <dshea@redhat.com> - 4.1.0-1
- Package automatically generated by npm2srpm
